class SmartDMAboutWindow expands UWindowPageWindow;

var UWindowSmallButton ButClose;

var string Version;

function Created()
{
     Super.Created();

     ButClose = UWindowSmallButton(CreateControl(class'UWindowSmallButton', 105.0,185.0,80.0,35.0));
     ButClose.SetText("Close");
     ButClose.DownSound = sound'UnrealShare.FSHLITE2';
}

function Paint(Canvas C, float MouseX, float MouseY)
{
     Super.Paint(C,MouseX,MouseY);

     C.DrawColor.R = 0;
     C.DrawColor.G = 0;
     C.DrawColor.B = 128;

     DrawStretchedTexture(C, 0, 0, WinWidth, WinHeight, Texture'bgnd');

     C.DrawColor.R = 255;
     C.DrawColor.G = 255;
     C.DrawColor.B = 0;

     C.Font = Root.Fonts[F_LargeBold];
     ClipText(C, 95, 10,   "SmartDM");

     C.DrawColor.R = 255;
     C.DrawColor.G = 255;
     C.DrawColor.B = 255;

     C.Font = Root.Fonts[F_Bold];
     ClipText(C, 110, 40, "Version "$Version);  // 110 Norm 90 Beta

     C.Font = Root.Fonts[F_Normal];
     ClipText(C, 85,  70,  "Creation by The_Cowboy");
     ClipText(C, 88, 85,   "Development by ProAsm");

     C.Font = Root.Fonts[F_Bold];
     ClipText(C, 102, 110,   "Inputs and Testing");

     C.Font = Root.Fonts[F_Normal];
     ClipText(C, 112, 125, "Wises | Jojoza");

     ClipText(C, 90,  150, "http://www.proasm.com");
}

function Notify(UWindowDialogControl C, byte E)
{
     local String str;

     Switch(E)
     {
	   case DE_Click:
		 switch(C)
         {
		  case ButClose:
               ParentWindow.ParentWindow.Close();
               break;
         }
          break;
      }
      Super.Notify(C,E);
}

defaultproperties
{
}
