class SmartDMHelpWindow expands UWindowPageWindow;

var UWindowSmallButton ButClose;

function Created()
{
     Super.Created();

     ButClose = UWindowSmallButton(CreateControl(class'UWindowSmallButton', 110.0,185.0,80.0,35.0));
     ButClose.SetText("Close");
     ButClose.DownSound = sound'UnrealShare.FSHLITE2';
}

function Notify(UWindowDialogControl C, byte E)
{
     local String str;

     Switch(E)
     {
	   case DE_Click:
		 switch(C)
         {
		  case ButClose:
               ParentWindow.ParentWindow.Close();
               break;
         }
          break;
      }
      Super.Notify(C,E);
}

function Paint(Canvas C, float MouseX, float MouseY)
{
     Super.Paint(C,MouseX,MouseY);

     C.DrawColor.R = 0;
     C.DrawColor.G = 0;
     C.DrawColor.B = 128;

     DrawStretchedTexture(C, 0, 0, WinWidth, WinHeight, Texture'bgnd');

     C.DrawColor.R = 255;
     C.DrawColor.G = 255;
     C.DrawColor.B = 255;

     C.Font = Root.Fonts[F_Bold];
     ClipText(C, 5,  5,    "1. Stat Abbreviations:");
     C.Font = Root.Fonts[F_Normal];
     ClipText(C, 20,  15,  "EFF:");
     ClipText(C, 55,  15,  "= Player Efficiency");
     ClipText(C, 155, 15,  "SURV:");
     ClipText(C, 210, 15,  "= Survivability");
     ClipText(C, 20,  25,  "NETT:");
     ClipText(C, 55,  25,  "= Netspeed");
     ClipText(C, 155, 25,  "HEDSHOT:");
     ClipText(C, 210, 25,  "= Headshots");
     ClipText(C, 20,  35,  "PLOS:");
     ClipText(C, 55,  35,  "= Packet Loss");
     ClipText(C, 155, 35,  "KILSPREE:");
     ClipText(C, 210, 35,  "= Killing Sprees");

     C.Font = Root.Fonts[F_Bold];
     ClipText(C, 5,  50,   "2. Killing Abbreviations:");
     C.Font = Root.Fonts[F_Normal];
     ClipText(C, 20,  60,  "DUBL:");
     ClipText(C, 55,  60,  "= Double Kill");
     ClipText(C, 155, 60,  "TRPL:");
     ClipText(C, 210, 60,  "= Triple Kill");
     ClipText(C, 20,  70,  "MULT:");
     ClipText(C, 55,  70,  "= Multi Kill");
     ClipText(C, 155, 70,  "MEGA:");
     ClipText(C, 210, 70,  "= Mega Kill");
     ClipText(C, 20,  80,  "ULTA:");
     ClipText(C, 55,  80,  "= Ultra Kill");
     ClipText(C, 155, 80,  "MONS:");
     ClipText(C, 210, 80,  "= Monster Kill");

     C.Font = Root.Fonts[F_Bold];
     ClipText(C, 5,   95,  "3. Pickup Abbreviations:");
     C.Font = Root.Fonts[F_Normal];
     ClipText(C, 20,  105, "BELT:");
     ClipText(C, 55,  105, "= Shield Belt");
     ClipText(C, 155, 105, "AMPL:");
     ClipText(C, 210, 105, "= Amplifier");
     ClipText(C, 20,  115, "ARMR:");
     ClipText(C, 55,  115, "= Armor");
     ClipText(C, 155, 115, "INVS:");
     ClipText(C, 210, 115, "= Invisibility");
     ClipText(C, 20,  125, "TPAD:");
     ClipText(C, 55,  125, "= Thigh Pads");
     ClipText(C, 155, 125, "HEAL:");
     ClipText(C, 210, 125, "= Super Health");
     ClipText(C, 20,  135, "BOOT:");
     ClipText(C, 55,  135, "= Jump Boots");

     C.Font = Root.Fonts[F_Bold];
     ClipText(C, 5,  150,  "4. Sprees:");
     C.Font = Root.Fonts[F_Normal];
     ClipText(C, 20,  160, "K = Killing Sprees | R = Rampage | D = Dominating");
     ClipText(C, 20,  170, "U = Unstoppable  | G = Godlike");

}

defaultproperties
{
}
